/* aylet 0.2, a .AY music file player.
 * Copyright (C) 2001 Russell Marks and Ian Collier. See main.c for licence.
 *
 * sound.h
 */

extern int sound_enabled;
extern int sound_freq;
extern int sound_stereo;
extern int sound_stereo_beeper;
extern int sound_stereo_ay;
extern int sound_stereo_ay_abc;
extern int sound_stereo_ay_narrow;

extern void sound_init(void);
extern void sound_end(void);
extern void sound_frame_8 (void *blah, unsigned char *ptr, int len);
extern void sound_frame_16(void *blah, short  *ptr, int len);
extern void sound_frame_16SDL(void *blah, unsigned char *ptr, int len);
extern void sound_ay_reset(int cpc_type, int model);
extern void sound_ay_write(int reg,int val,unsigned long tstates);
extern void sound_beeper(int is_tape, int on, unsigned long tstates);
